
ISTI Open Access - Task #25587

Task # 25582 (New): Migrate OpenPortal stack on the openstack infrastructure

Devise a Mongo-free version of the OpenPortal stack  

Sep 06, 2023 11:41 AM - Leonardo Candela

Status: New Start date: Sep 06, 2023

Priority: Normal Due date:  

Assignee: Michele Artini % Done: 0%

Target version: To Be Planned   

Description

We should avoid using mongodb in OpenPortal (it is exploited to store the metadata records).  

History

#1 - Sep 14, 2023 11:34 AM - Leonardo Candela

A possible approach to consider it to rely on https://www.ferretdb.io/ an open source system implementing MongoDB protocol on top of Postgres

#2 - Mar 25, 2025 11:44 AM - Luca Frosini

- Target version changed from ISTI Open Portal Tasks to To Be Planned
